Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/src/Parameters.cpp	(revision 136)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/src/Parameters.cpp	(revision 138)
@@ -31,4 +31,5 @@
 			  uint32_t              size_special_data                         ,
 			  
+			  uint32_t            * nb_inst_read                              ,//[nb_read_unit]
 			  uint32_t            * size_read_queue                           ,//[nb_read_unit]
 			  uint32_t            * size_reservation_station                  ,//[nb_read_unit]
@@ -42,10 +43,16 @@
 			  uint32_t            * size_load_queue                           ,//[nb_load_store_unit]
 			  uint32_t            * size_speculative_access_queue             ,//[nb_load_store_unit]
-			  uint32_t            * nb_port_check                             ,//[nb_load_store_unit]
-			  Tspeculative_load_t * speculative_load                          ,//[nb_load_store_unit]
+                          uint32_t            * nb_store_queue_bank                       ,//[nb_load_store_unit]
+                          uint32_t            * nb_load_queue_bank                        ,//[nb_load_store_unit]
+                          uint32_t            * nb_port_check                             ,//[nb_load_store_unit]
+                          Tspeculative_load_t * speculative_load                          ,//[nb_load_store_unit]
+                          Tpredictor_t        * speculative_commit_predictor_scheme       ,//[nb_load_store_unit]
+                          uint32_t           ** lsu_pht_size_counter                      ,//[nb_load_store_unit][1]
+                          uint32_t           ** lsu_pht_nb_counter                        ,//[nb_load_store_unit][1]
 			  uint32_t            * nb_bypass_memory                          ,//[nb_load_store_unit]
 			  uint32_t            * nb_cache_port                             ,//[nb_load_store_unit]
 			  uint32_t            * nb_inst_memory                            ,//[nb_load_store_unit]
 
+			  uint32_t            * nb_inst_write                             ,//[nb_write_unit]
 			  uint32_t            * size_write_queue                          ,//[nb_write_unit]
 			  uint32_t            * size_execute_queue                        ,//[nb_write_unit]
@@ -92,4 +99,5 @@
     _nb_packet                                  = nb_packet                            ;
                                                 
+    _nb_inst_read                               = nb_inst_read                         ;
     _size_read_queue                            = size_read_queue                      ;
     _size_reservation_station                   = size_reservation_station             ;
@@ -100,9 +108,15 @@
     _get_custom_information                     = get_custom_information               ;
                                                 
+    _nb_inst_write                              = nb_inst_write                        ;
     _size_store_queue                           = size_store_queue                     ;
     _size_load_queue                            = size_load_queue                      ;
     _size_speculative_access_queue              = size_speculative_access_queue        ;
+    _nb_store_queue_bank                        = nb_store_queue_bank                  ;
+    _nb_load_queue_bank                         = nb_load_queue_bank                   ;
     _nb_port_check                              = nb_port_check                        ;
     _speculative_load                           = speculative_load                     ;
+    _speculative_commit_predictor_scheme        = speculative_commit_predictor_scheme  ;
+    _lsu_pht_size_counter                       = lsu_pht_size_counter                 ;
+    _lsu_pht_nb_counter                         = lsu_pht_nb_counter                   ;
     _nb_bypass_memory                           = nb_bypass_memory                     ;
     _nb_cache_port                              = nb_cache_port                        ;
@@ -379,5 +393,6 @@
     for (uint32_t i=0; i<_nb_read_unit; i++)
       _param_read_unit [i] = new morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_read_unit::read_unit::Parameters 
-	(_size_read_queue               [i],
+	(_nb_inst_read                  [i],
+         _size_read_queue               [i],
 	 _size_reservation_station      [i],
 	 _nb_context                       ,
@@ -421,22 +436,28 @@
         else
 	  _param_load_store_unit [x] = new morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_execute_unit::execute_unit::load_store_unit::Parameters
-	    (_size_store_queue              [x],
-	     _size_load_queue               [x],
-	     _size_speculative_access_queue [x],
-	     _nb_port_check                 [x],
-	     _speculative_load              [x],
-	     _nb_bypass_memory              [x],
-	     _nb_cache_port                 [x],
-	     _nb_inst_memory                [x],
-	     _nb_context                       ,
-	     _nb_front_end                     ,
-	     _nb_ooo_engine                    ,
-	     _nb_packet                        ,
-	      size_general_data                ,
-	      size_special_data                ,
-	     _max_nb_special_register          ,
-	     _max_nb_general_register          ,
-             _nb_thread                        ,
-             _num_thread_valid                 );
+	    (_size_store_queue                    [x],
+	     _size_load_queue                     [x],
+	     _size_speculative_access_queue       [x],
+
+	     _nb_store_queue_bank                 [x],
+	     _nb_load_queue_bank                  [x],
+	     _nb_port_check                       [x],
+	     _speculative_load                    [x],
+	     _speculative_commit_predictor_scheme [x],
+	     _lsu_pht_size_counter                [x],
+	     _lsu_pht_nb_counter                  [x],
+	     _nb_bypass_memory                    [x],
+	     _nb_cache_port                       [x],
+	     _nb_inst_memory                      [x],
+	     _nb_context                             ,
+	     _nb_front_end                           ,
+	     _nb_ooo_engine                          ,
+	     _nb_packet                              ,
+	      size_general_data                      ,
+	      size_special_data                      ,
+	     _max_nb_special_register                ,
+	     _max_nb_general_register                ,
+             _nb_thread                              ,
+             _num_thread_valid                       );
       }
 
@@ -446,5 +467,6 @@
     for (uint32_t i=0; i<_nb_write_unit; i++)
       _param_write_unit [i] = new morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_write_unit::write_unit::Parameters
-	(_size_write_queue        [i],
+	(_nb_inst_write           [i],
+	 _size_write_queue        [i],
 	 _size_execute_queue      [i],
 	 _nb_context                 ,
